Package org.wildfly.plugin.cli

## Class OfflineCommandExecutor

- java.lang.Object
- - org.codehaus.plexus.logging.AbstractLogEnabled
  - - org.wildfly.plugin.cli.AbstractCommandExecutor<BaseCommandConfiguration>
    - - org.wildfly.plugin.cli.OfflineCommandExecutor

- All Implemented Interfaces:
    `org.codehaus.plexus.logging.LogEnabled`

      @Singleton
      @Named
      public class OfflineCommandExecutor
      extends AbstractCommandExecutor<BaseCommandConfiguration>

  A command executor for executing offline CLI commands.
  Author:
    jdenise@redhat.com

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `OfflineCommandExecutor()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `execute​(BaseCommandConfiguration config, org.jboss.galleon.universe.maven.repo.MavenRepoManager artifactResolver)` | Executes forked offline CLI commands based on the configuration.
    `protected int` | `executeInNewProcess​(BaseCommandConfiguration config, Path scriptFile, StandardOutput stdout)` |

    - ### Methods inherited from class org.wildfly.plugin.cli.AbstractCommandExecutor

      `createCommandBuilder, executeInNewProcess, launchProcess`

    - ### Methods inherited from class org.codehaus.plexus.logging.AbstractLogEnabled

      `enableLogging, getLogger, setupLogger, setupLogger, setupLogger`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OfflineCommandExecutor

          public OfflineCommandExecutor()

  - ### Method Detail

    - #### execute

          public void execute​(BaseCommandConfiguration config,
                              org.jboss.galleon.universe.maven.repo.MavenRepoManager artifactResolver)
                       throws org.apache.maven.plugin.MojoFailureException,
                              org.apache.maven.plugin.MojoExecutionException

      Executes forked offline CLI commands based on the configuration.
      Specified by:
        `execute` in class `AbstractCommandExecutor<BaseCommandConfiguration>`
      Parameters:
        `config` - the configuration used to execute the CLI commands
        `artifactResolver` - Resolver to retrieve CLI artifact for in-process execution.
      Throws:
        `org.apache.maven.plugin.MojoFailureException` - if the JBoss Home directory is required and invalid
        `org.apache.maven.plugin.MojoExecutionException` - if an error occurs executing the CLI commands

    - #### executeInNewProcess

          protected int executeInNewProcess​(BaseCommandConfiguration config,
                                            Path scriptFile,
                                            StandardOutput stdout)
                                     throws org.apache.maven.plugin.MojoExecutionException,
                                            IOException

      Specified by:
        `executeInNewProcess` in class `AbstractCommandExecutor<BaseCommandConfiguration>`
      Throws:
        `org.apache.maven.plugin.MojoExecutionException`
        `IOException`